/***********************
* Adobe Edge Animate コンポジションアクション
*
* このファイルを編集する際には注意が必要です。必ず関数シグニチャと
* 「Edge」で始まるコメントを保持して、 Adobe Edge 内からこれらのアクションを
* 操作可能な状態にしておいてください。 
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // よく使用する Edge クラスのエイリアス

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         // コンポジションを完全にロードした後に実行されるコードを挿入します
         
         var Sound, seBird;
         
         //load jQuery-ui(for drag) & soundJS(for play sound)
         yepnope({
           nope:[
             "http://code.createjs.com/soundjs-0.4.1.min.js",
             "http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js",
             "https://raw.github.com/furf/jquery-ui-touch-punch/master/jquery.ui.touch-punch.min.js"
           ],
           complete:init
         });
         function init(){
           //load sound file, added id "bird"
           Sound = createjs.Sound
           Sound.addEventListener("fileload", onSoundLoad);
           Sound.registerSound("sounds/bird.mp3|sounds/bird.ogg", "bird");
         }
         function onSoundLoad(){
           //create instance from id "bird"
           seBird = Sound.createInstance("bird");
           seBird.setVolume(0.5);
           showStatus();
           //draggable bird div
           sym.$("bird").draggable({stop:checkBirdPos});
         }
         
         /* func for chack bird div pos & play sound */
         function checkBirdPos(){
           //get bird div pos
           var offset = sym.$("bird").offset();
           var birdX = offset.left + 130;
           var birdY = offset.top + 100;
           //pan param range -1(left) to 1(right) //sorry for sloppy calc ;p
           var pan = 2*birdX/550-1; 
           //volume param range 0(min) to 1(max) //sorry for sloppy calc ;p
           var volume = birdY/400;
           //play sound
           seBird.play(Sound.INTERRUPT_NONE,0,0,0,volume,pan);
           showStatus();
         }
         
         function showStatus(){
           sym.$("status").html(
             "volume:" + seBird.getVolume() +
             "<br>pan:" + seBird.getPan()
           );
         }

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

})(jQuery, AdobeEdge, "EDGE-1729585497");